# Game.TigerChannel Class Reference

Inherits Game::BayesianChannel, and Game::BayesianChannel.

Collaboration diagram for Game.TigerChannel:

[legend]

List of all members.

## Public Member Functions
| TigerChannel ()
override void | Run (WorldEntity controlledEntity)
void | Run (Tiger tiger)
void | LoadInputs (Tiger tiger)
void | ProcessOutputs (Tiger tiger)
| TigerChannel ()
override void | Run (WorldEntity controlledEntity)
void | Run (Tiger tiger)
void | LoadInputs (Tiger tiger)
void | ProcessOutputs (Tiger tiger)

## Detailed Description

Definition at line 25 of file TigerChannel.cs.

## Constructor & Destructor Documentation

Game.TigerChannel.TigerChannel | ( |  | ) |

Definition at line 29 of file TigerChannel.cs.

Game.TigerChannel.TigerChannel | ( |  | ) |

Definition at line 29 of file TigerChannel.cs.

## Member Function Documentation

void Game.TigerChannel.LoadInputs | ( | Tiger | tiger | ) |

Definition at line 59 of file TigerChannel.cs.

void Game.TigerChannel.LoadInputs | ( | Tiger | tiger | ) |

Definition at line 59 of file TigerChannel.cs.

Here is the caller graph for this function:

void Game.TigerChannel.ProcessOutputs | ( | Tiger | tiger | ) |

Definition at line 151 of file TigerChannel.cs.

void Game.TigerChannel.ProcessOutputs | ( | Tiger | tiger | ) |

Definition at line 151 of file TigerChannel.cs.

Here is the caller graph for this function:

void Game.TigerChannel.Run | ( | Tiger | tiger | ) |

Definition at line 48 of file TigerChannel.cs.

Here is the call graph for this function:

override void Game.TigerChannel.Run | ( | WorldEntity | controlledEntity | ) | `[virtual]`

Reimplemented from Game.IAChannel.

Definition at line 35 of file TigerChannel.cs.

Here is the call graph for this function:

void Game.TigerChannel.Run | ( | Tiger | tiger | ) |

Definition at line 48 of file TigerChannel.cs.

Here is the call graph for this function:

override void Game.TigerChannel.Run | ( | WorldEntity | controlledEntity | ) | `[virtual]`

Reimplemented from Game.IAChannel.

Definition at line 35 of file TigerChannel.cs.

Here is the caller graph for this function:

The documentation for this class was generated from the following files:

- D:/guillaume/guillara/3D/DXGfx/Backup/World/TigerChannel.cs
- D:/guillaume/guillara/3D/DXGfx/World/TigerChannel.cs